Bug 128757 - Duplicate choice right above Delete choice -- bad design
Summary: Duplicate choice right above Delete choice -- bad design
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.2.2 release
Hardware: All All
: medium enhancement
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: difficultyBeginner, easyHack, skillDesign, topicUI
Depends on:
Blocks:
 
Reported: 2019-11-12 20:44 UTC by tespos58per
Modified: 2019-12-04 12:26 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
shows Duplicate and Delete choices on menu (4.70 KB, image/png)
2019-11-12 20:44 UTC, tespos58per
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tespos58per 2019-11-12 20:44:21 UTC
Created attachment 155760 [details]
shows Duplicate and Delete choices on menu

Hello all,
  On LibreOffice Impress:
  The Duplicate Slide is right above the Delete Slide selection when right-clicking on a slide. (??)
  Can't tell you how many times I've deleted a slide when I thought I had duplicated a slide.
  In my opinion, this is poor design.  When deleting a slide please either prompt the user for his ok OR move the Delete somewhere less problematic.
  See attachment.
  Thank you.
Comment 1 Heiko Tietze 2019-11-18 10:47:55 UTC
Good point, let's separate the destructive function.

Should be sd/uiconfig/simpress/popupmenu/pagepane.xml where a <menu:menuseparator/> before <menu:menuitem menu:id=".uno:DeleteSlide"/> is a solution.
Comment 2 Roman Kuznetsov 2019-11-25 06:06:12 UTC
I offer next list:

Cut
Copy
Paste
_____
New Slide
Duplicate Slide
Rename Slide
Hide Slide
Delete Slide
______
Layout >
Navigate >
Mode >
______
Properties


Heiko, what do you think?
Comment 3 Heiko Tietze 2019-11-25 06:18:47 UTC
(In reply to Roman Kuznetsov from comment #2)
> Heiko, what do you think?

Looks good, in particular the Properties at the bottom.
Comment 4 Commit Notification 2019-11-26 05:57:32 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e9a60f3d9ba7c6164851264e7171b90238f7948c

tdf#128757 Move pane context menu's items

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-11-26 06:43:58 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ff49f69825c066b0416f088af6e1f42b5f8f0a48

tdf#128757 Move pane context menu's items

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.